from setuptools import setup, find_packages

setup(
    name='cha_authentication',
    version='0.7.0',
    packages=find_packages(exclude=['cha_auth']),
    include_package_data=True,
    install_requires=[
        'Django>=5.1',
        'djangorestframework>=3.12',
        'django-simple-history>=3.2.0',
    ],
    entry_points={
        'console_scripts': [
            'authentication=authentication.__main__:main',
        ],
    },
    author='Wassim Chaguetmi',
    author_email='wassim.chaguetmi@gmail.com',
    description='A Django app for multi-token authentication, and some other stuff.',
    long_description=open('readme.md').read(),
    long_description_content_type='text/markdown',
    url='https://github.com/Simouche/cha_authentication',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.12',
    ],
)